Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.desktop
Class XSLTProperty

    java.lang.Object
      org.crosswire.bibledesktop.desktop.XSLTProperty

All Implemented Interfaces:
  Serializable

    public class XSLTProperty

extends Object
implements Serializable

Defines properties that control the behavior of translating OSIS to HTML.

Author:
  DM Smith [ dmsmith555 at yahoo dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`private boolean` | `asURL` Whether the string state should be converted to an URL when setting the property.
`static XSLTProperty` | `BASE_URL` What is the base of the current document.
`static XSLTProperty` | `BCV` Show book, chapter and verse numbers.
`static XSLTProperty` | `CSS` What is the base of the current document.
`static XSLTProperty` | `CV` Show chapter and verse numbers.
`private String` | `defaultState` The default state of the XSLTProperty
`static XSLTProperty` | `DIRECTION` What is the base of the current document.
`static XSLTProperty` | `FONT` What is the base of the current document.
`static XSLTProperty` | `HEADINGS` Should headings be shown
`static XSLTProperty` | `MORPH` Determines whether Word Morphology (e.g.
`private String` | `name` The name of the XSLTProperty
`private static int` | `nextObj`
`static XSLTProperty` | `NO_VERSE_NUMBERS` Show no verse numbers
`static XSLTProperty` | `NOTES` Should notes be shown
`private int` | `obj`
`private static long` | `serialVersionUID` Serialization ID
`static XSLTProperty` | `START_VERSE_ON_NEWLINE` Determines whether verses should start on a new line.
`private String` | `state` The current state of the XSLTProperty
`static XSLTProperty` | `STRONGS_NUMBERS` Determines whether Strong's Numbers should show
`static XSLTProperty` | `TINY_VERSE_NUMBERS` Show verse numbers as a superscript.
`private static XSLTProperty[]` | `VALUES`
`static XSLTProperty` | `VERSE_NUMBERS` Show verse numbers
`static XSLTProperty` | `XREF` Should cross references be shown

Constructor Summary
`private` | `XSLTProperty(String name, boolean defaultState)`
`private` | `XSLTProperty(String name, String defaultState)`
`private` | `XSLTProperty(String name, String defaultState, boolean asURL)`

Method Summary
`static XSLTProperty` | `fromInteger(int i)` Lookup method to convert from an integer
`static XSLTProperty` | `fromString(String name)` Lookup method to convert from a String
`boolean` | `getDefaultState()`
`String` | `getDefaultStringState()`
`String` | `getName()`
`boolean` | `getState()`
`String` | `getStringState()`
`(package private) Object` | `readResolve()`
`static void` | `setProperties(TransformingSAXEventProvider provider)`
`void` | `setProperty(TransformingSAXEventProvider provider)`
`void` | `setState(boolean newState)`
`void` | `setState(String newState)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRONGS_NUMBERS

    public static final XSLTProperty STRONGS_NUMBERS

  Determines whether Strong's Numbers should show

### MORPH

    public static final XSLTProperty MORPH

  Determines whether Word Morphology (e.g. Robinson) should show

### START_VERSE_ON_NEWLINE

    public static final XSLTProperty START_VERSE_ON_NEWLINE

  Determines whether verses should start on a new line.

### VERSE_NUMBERS

    public static final XSLTProperty VERSE_NUMBERS

  Show verse numbers

### CV

    public static final XSLTProperty CV

  Show chapter and verse numbers.

### BCV

    public static final XSLTProperty BCV

  Show book, chapter and verse numbers.

### NO_VERSE_NUMBERS

    public static final XSLTProperty NO_VERSE_NUMBERS

  Show no verse numbers

### TINY_VERSE_NUMBERS

    public static final XSLTProperty TINY_VERSE_NUMBERS

  Show verse numbers as a superscript.

### HEADINGS

    public static final XSLTProperty HEADINGS

  Should headings be shown

### NOTES

    public static final XSLTProperty NOTES

  Should notes be shown

### XREF

    public static final XSLTProperty XREF

  Should cross references be shown

### BASE_URL

    public static final XSLTProperty BASE_URL

  What is the base of the current document. Note this needs to be set each time the document is shown.

### DIRECTION

    public static final XSLTProperty DIRECTION

  What is the base of the current document. Note this needs to be set each time the document is shown.

### FONT

    public static final XSLTProperty FONT

  What is the base of the current document. Note this needs to be set each time the font changes.

### CSS

    public static final XSLTProperty CSS

  What is the base of the current document.

### name

    private String name

  The name of the XSLTProperty

### defaultState

    private String defaultState

  The default state of the XSLTProperty

### state

    private String state

  The current state of the XSLTProperty

### asURL

    private boolean asURL

  Whether the string state should be converted to an URL when setting the property.

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final XSLTProperty[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### XSLTProperty

    private XSLTProperty(String name,
                         boolean defaultState)

Parameters:
  `name` - The name of this property
  `defaultState` - The initial state of the property.

### XSLTProperty

    private XSLTProperty(String name,
                         String defaultState)

Parameters:
  `name` - The name of this property
  `defaultState` - The initial state of the property.

### XSLTProperty

    private XSLTProperty(String name,
                         String defaultState,
                         boolean asURL)

Parameters:
  `name` - The name of this property
  `defaultState` - The initial state of the property.

Method Detail

### getName

    public String getName()

  Returns:
    the name of the property

### getDefaultState

    public boolean getDefaultState()

### getDefaultStringState

    public String getDefaultStringState()

### getState

    public boolean getState()

### getStringState

    public String getStringState()

### setState

    public void setState(boolean newState)

### setState

    public void setState(String newState)

### setProperty

    public void setProperty(TransformingSAXEventProvider provider)

### setProperties

    public static void setProperties(TransformingSAXEventProvider provider)

### fromString

    public static XSLTProperty fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static XSLTProperty fromInteger(int i)

  Lookup method to convert from an integer

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD